Name:           maven-docck-plugin
Version:        1.0
Release:        3%{?dist}
Summary:        Maven Documentation Checker Plugin

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-docck-plugin/
#svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-docck-plugin-1.0/
#tar jcf maven-docck-plugin-1.0.tar.bz2 maven-docck-plugin-1.0/
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: maven2
BuildRequires: maven-plugin-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-maven-plugin
BuildRequires: maven-shared
BuildRequires: commons-httpclient
BuildRequires: maven-plugin-tools
BuildRequires: plexus-utils

Requires:       maven2
Requires:       java
Requires:       jpackage-utils
Requires:       apache-commons-logging
Requires:       maven-plugin-tools

Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

Obsoletes: maven2-plugin-docck <= 0:2.0.8
Provides: maven2-plugin-docck = 1:%{version}-%{release}

%description
Checks for violations of the Plugin Documentation Standard.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q 

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp \
        -e \
        -Dmaven2.jpp.mode=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc

%install
rm -rf %{buildroot}

# jars
install -Dpm 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}-%{version}.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%add_to_maven_depmap org.apache.maven.plugins %{name} %{version} JPP %{name}

# poms
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
rm -rf target/site/api*

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 1.0-3
- Add missing requires maven2

* Thu Jun 03 2010 Hui Wang <huwang@redhat.com> - 1.0-2
- Added epoch 1 to provides
- Fixed install instructions in one step
- Used bz2 compression in source0
- Used macros in add_to_maven_depmap

* Tue Jun 01 2010 Hui Wang <huwang@redhat.com> - 1.0-1
- Initial version of the package